getCloudMssqlCharacterSetList

Prev Next

Available in VPC

Get the list of character sets available to use in Cloud DB for MSSQL.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET | POST /vmssql/v2/getCloudMssqlCharacterSetList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for MSSQL (VPC) APIs, see Cloud DB for MSSQL (VPC) request headers.

Request query parameter

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the Cloud DB for MSSQL instance to view
  • See getRegionList
  • First Region of the getRegionList query result (default)
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The following is a sample request.

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmssql/v2/getCloudMssqlCharacterSetList
?regionCode=KR
&responseFormatType=json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

See CloudMssqlCharacterSet for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for MSSQL (VPC) APIs, see Cloud DB for MSSQL (VPC) response status codes.

Response example

The following is a sample response.

  • If responseFormatType=json

    {
        "getCloudMssqlCharacterSetListResponse": {
            "totalRows": 2,
            "cloudMssqlCharacterSetList": [
                {
                    "characterSetName": "Korean_Wansung_CI_AS"
                },
                {
                    "characterSetName": "SQL_Latin1_General_CP1_CI_AS"
                }
            ],
            "requestId": "e5660885-****-****-****-6caf7d10aa49",
            "returnCode": "0",
            "returnMessage": "success"
        }
    }
    
  • If responseFormatType=xml (default)

    <?xml version="1.0" encoding="UTF-8"?>
    <getCloudMssqlCharacterSetListResponse>
        <requestId>c0fa61b8-****-****-****-bbd78197af6e</requestId>
        <returnCode>0</returnCode>
        <returnMessage>success</returnMessage>
        <totalRows>2</totalRows>
        <cloudMssqlCharacterSetList>
            <cloudMssqlCharacterSet>
                <characterSetName>Korean_Wansung_CI_AS</characterSetName>
            </cloudMssqlCharacterSet>
            <cloudMssqlCharacterSet>
                <characterSetName>SQL_Latin1_General_CP1_CI_AS</characterSetName>
            </cloudMssqlCharacterSet>
        </cloudMssqlCharacterSetList>
    </getCloudMssqlCharacterSetListResponse>